from dynamico.meshes import zeros
from dynamico import meshes
import numpy as np
import netCDF4 as cdf
import argparse

parser = argparse.ArgumentParser()

parser.add_argument("-nx", type=int,
                    default=64, choices=None,
                    help="number of x points")
parser.add_argument("-ny", type=int,
                    default=64, choices=None,
                    help="number of y points")
parser.add_argument("-Lx", type=float,
                    default=8., choices=None,
                    help="Lx")
parser.add_argument("-Ly", type=float,
                    default=8., choices=None,
                    help="Ly")
args = parser.parse_args()

nx, ny, Lx, Ly, llm, nqdyn = args.nx, args.ny,args.Lx, args.Ly, 1, 1

dx,dy=Lx/nx,Ly/ny
mesh = meshes.Cartesian_mesh(nx,ny,llm,nqdyn,Lx,Ly,0.)
print('Successfully initialized Cartesian mesh')
mesh.ncwrite('cart_%03d_%03d.nc'%(nx,ny))
print('Successfully written Cartesian mesh to NetCDF File')
